Subject: [dhcwg] dhcpv6 clients and servers

From: Eric Kollmann <[email-masked]>
Date: Wed, 10 Nov 2010 19:51:36 -0700

Perhaps this should go to another list, if so my apologies.

I'm working on creating a new dhcpv6 fingerprinting module for my
program and working on a research paper on it.  In so doing have
noticed that while there are a lot of OS's doing ipv6, there are not
that many that appear to come, by default, with a dhcpv6 client.

Some dhcpv6 clients that I know of for sure:
Windows 7, Vista, 2008, 2008r2
Dibbler
ISC

The linux systems I've played with so far (and just in passing) appear
to be doing self assigned ipv6 and none so far have had an actually
dhcpv6 client auto installed.

Does anyone have any known linux builds doing their own dhcpv6 client
or know of any that are have a dhcpv6 client built in for a default
build?  It could be the different ones I've played with are just
older.

I'm also looking for any other devices out there that are doing dhcpv6
(clients or servers).

Thanks

Eric

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sun, 14 Nov 2010 17:41:43 +0100 (CET)

On Wed, 10 Nov 2010, Eric Kollmann wrote:

> Does anyone have any known linux builds doing their own dhcpv6 client or 
> know of any that are have a dhcpv6 client built in for a default build? 
> It could be the different ones I've played with are just older.

As far as I know, Ubuntu and Debian doesn't come with DHCPv6 enabled by 
default. Ubuntu however, has wide-dhcpv6-client easily installable, and I 
have successfully used this to aquire IPv6 address using DHCPv6 to my 
Ubuntu laptop.

> I'm also looking for any other devices out there that are doing dhcpv6

I have a Cisco router running IOS 12.4(24)T2 at home I successfully have 
configured for server for both DHCPv6 (stateless/stateful) and DHCPv6-PD.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Tomasz Mrugalski <[email-masked]>
Date: Sun, 14 Nov 2010 21:13:15 +0100

<self-promotion-mode>
There's also another implementation, called Dibbler (Windows, Linux,
Mac OS). It provides client, server, relay and requestor (for
leasequery). Of course both IA_NA (addresses) and IA_PD (prefix
delegation) are fully supported. BTW there are also temporary
addresses (IA_TA option), but they are rarely used (also supported).
It is part of several distros (Ubuntu and Debian included). You may
want to take a closer look. It comes with 60+ pages User's Guide with
examples.
</self-promotion-mode>

Cheers,
Tomasz

On Sun, Nov 14, 2010 at 5:41 PM, Mikael Abrahamsson <[email-masked]> wrote:
>> know of any that are have a dhcpv6 client built in for a default build? It
>> could be the different ones I've played with are just older.
>
> have successfully used this to aquire IPv6 address using DHCPv6 to my Ubuntu
> laptop.
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>